VectorLinux
April 19, 2014, 04:38:25 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Gizmo - Skype-like IP phone  (Read 2901 times)
Tigerwolf
Vectorite
***
Posts: 152



« on: November 09, 2007, 01:09:12 am »

Has anyone played with this any?

http://www.gizmoproject.com/

It's some open source version of Skype, it seems.  It supposedly can interface with Google's GrandCentral phone number forwarding service.

I downloaded the tarball, and it seems to run on our VL 5.8 machine without adding anything more.   However, since I just made the account, not sure if the audio part really works (I had fits with making Skype function), so I'm curious to know what experiences others may have with it.

Logged

=^_^=  Tigerwolf

Running: Vector Linux 5.8 Standard   12-16-2006
JohnB316
Administrator
Vectorian
*****
Posts: 1346


Registered Linux User #386728


« Reply #1 on: November 11, 2007, 08:42:05 am »

I've played with it in the past. I just installed the latest version on the VL 5.9 standard RC1 and it works fine there too.

FWIW, the Gizmo software is actually under a proprietary license, as is Skype. The open-source program for voice-over-IP communication is Wengophone, available at http://www.openwengo.org/. I'm going to see if I can get their prebuilt binary to work on my VL 5.9 RC 1 box.

Edit: The WengoPhone prebuilt binary works well on VL 5.9 STD RC1. Since the source for WengoPhone is freely downloadable, we should be able to build it ourselves at some point with qt4, etc.

HTH,
John
« Last Edit: November 11, 2007, 09:00:23 am by JohnB316 » Logged

VL 6.0 SOHO latest alpha on one box, VL 5.9 Lite on the other.
easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #2 on: November 11, 2007, 09:26:01 am »

Edit: The WengoPhone prebuilt binary works well on VL 5.9 STD RC1. Since the source for WengoPhone is freely downloadable, we should be able to build it ourselves at some point with qt4, etc.

HTH,
John

A Qt4 package for VL 5.9 is on its way today Wink
Logged

Tigerwolf
Vectorite
***
Posts: 152



« Reply #3 on: November 11, 2007, 08:45:16 pm »

I tried the Wengophone binary on 5.8 and got the follwing:

Code:
root:# ./wengophone.sh
./qtwengophone: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.5' not found (required by ./qtwengophone)
./qtwengophone: /usr/lib/libstdc++.so.6: version `CXXABI_1.3.1' not found (required by ./qtwengophone)

It's the same error that the latest Skype gives (older Skype works ok already). 

There is a Vector cxxlibs-6.0.3-i486-1  package installed.   

Is this something which is easily updated?
Logged

=^_^=  Tigerwolf

Running: Vector Linux 5.8 Standard   12-16-2006
uelsk8s
Administrator
Vectorian
*****
Posts: 2503



« Reply #4 on: November 12, 2007, 11:14:07 am »

I tried the Wengophone binary on 5.8 and got the follwing:

Code:
root:# ./wengophone.sh
./qtwengophone: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.5' not found (required by ./qtwengophone)
./qtwengophone: /usr/lib/libstdc++.so.6: version `CXXABI_1.3.1' not found (required by ./qtwengophone)

It's the same error that the latest Skype gives (older Skype works ok already). 

There is a Vector cxxlibs-6.0.3-i486-1  package installed.   

Is this something which is easily updated?
No its not.  it is one of the reasons you will want to start looking at 5.9
It is possible that someone might be able to build his on 5.8, and it is also possible that it wont build there at all.

Uelsk8s
Logged
wcs
Packager
Vectorian
****
Posts: 1144


« Reply #5 on: December 04, 2007, 10:36:42 pm »

Quote
I tried the Wengophone binary on 5.8 and got the follwing:

Code:

root:# ./wengophone.sh
./qtwengophone: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.5' not found (required by ./qtwengophone)
./qtwengophone: /usr/lib/libstdc++.so.6: version `CXXABI_1.3.1' not found (required by ./qtwengophone)


It's the same error that the latest Skype gives (older Skype works ok already).

There is a Vector cxxlibs-6.0.3-i486-1  package installed.   

Is this something which is easily updated?

I posted a solution to that here: http://www.vectorlinux.com/forum2/index.php?topic=3430.msg21619#msg21619
It works fine.

Although I'm not fond of Skype's proprietary protocol, I'm having better results with it than with Gizmo or Wengo.

So I adopted a double solution:
Wengo to call landline phones, by connecting to a cheaper SIP provider (voipcheap.com), which works pretty well.
Skype for PC-to-PC calls, which (with my limited testing) seems to give me much better quality. Probably because it is apparently better behind routers/firewalls than the SIP clients.

By the way, Skype 2.0 Beta for Linux (with video support) is out, so I'll be testing that in VL in a few days, when the webcam arrives.
Logged
wcs
Packager
Vectorian
****
Posts: 1144


« Reply #6 on: December 04, 2007, 10:42:21 pm »

Plus, when Wengo is on, amarok complains about not being able to initialise the sound drivers.
When amarok is on, no sound from wengo.

No problem with Skype...

The annoying thing (for me) is not so much that it is proprietary software, but that it is a closed protocol.
I guess this is one of those instance where despite the limitations on users' freedom, "it just works".
Logged
wcs
Packager
Vectorian
****
Posts: 1144


« Reply #7 on: December 04, 2007, 11:06:38 pm »

Oh, if you do copy those lib files to get Wengo/Skype started you might need to lauch it with:

Code:
LD_LIBRARY_PATH=/opt/skype /opt/skype-beta/skype &

replacing with the directory where you extracted Wengo/Skype to.
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!